﻿//
// Copyright (c) 2009-2013, MindFusion LLC - Bulgaria.
//
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MindFusion.Scheduling;
using System.Xml.Linq;

namespace MindFusion.Scheduling.Samples.CS.BusinessObjects
{
	/// <summary>
	/// Represents a simple business object
	/// </summary>
	[Serializable]
	public class CalendarEvent
	{
		public CalendarEvent(Guid id, string name, string details, DateTime startTime, TimeSpan duration)
		{
			this.id = id;
			this.name = name;
			this.details = details;
			this.startTime = startTime;
			this.duration = duration;
		}
		public CalendarEvent()
			: this(Guid.NewGuid(), "new event", "", DateTime.Now, TimeSpan.FromHours(2))
		{ }

		public void CopyFrom(CalendarEvent another)
		{
			if (Name != another.Name)
				Name = another.Name;
			if (Details != another.Details)
				Details = another.Details;
			if (StartTime != another.StartTime)
				StartTime = another.StartTime;
			if (Duration != another.Duration)
				Duration = another.Duration;
		}

		public Guid Id
		{
			get { return id; }
			set { id = value; }
		}

		public string Name
		{
			get { return name;}
			set { name = value; }
		}

		public string Details
		{
			get { return details; }
			set { details = value; }
		}

		public DateTime StartTime
		{
			get { return startTime; }
			set { startTime = value; }
		}

		public TimeSpan Duration
		{
			get { return duration; }
			set { duration = value; }
		}

		private Guid id;
		private string name;
		private string details;
		private DateTime startTime;
		private TimeSpan duration;		
	}
}
